'use strict';

var i = require('react');
var reactQuery = require('@tanstack/react-query');
var reactQueryDevtools = require('@tanstack/react-query-devtools');

function _interopNamespace(e) {
	if (e && e.__esModule) return e;
	var n = Object.create(null);
	if (e) {
		Object.keys(e).forEach(function (k) {
			if (k !== 'default') {
				var d = Object.getOwnPropertyDescriptor(e, k);
				Object.defineProperty(n, k, d.get ? d : {
					enumerable: true,
					get: function () { return e[k]; }
				});
			}
		});
	}
	n.default = e;
	return Object.freeze(n);
}

var i__namespace = /*#__PURE__*/_interopNamespace(i);

var V=Object.defineProperty;var v=(t,e)=>{for(var a in e)V(t,a,{get:e[a],enumerable:!0});};var h=function({children:t,result:e,loadingColor:a="#194ebf"}){var u;let o,n,s,l,c;return Array.isArray(e)?(o=e.every(r=>r.isLoading),n=e.every(r=>r.isFetching),s=e.every(r=>r.isError),l=e.every(r=>r.isSuccess),c=s?((u=e.find(r=>r.isError))==null?void 0:u.error).message:""):(o=e.isLoading,n=e.isFetching,s=e.isError,l=e.isSuccess,c=s?e.error.message:""),i__namespace.createElement(i__namespace.Fragment,null,l&&t,(o||n)&&i__namespace.createElement("div",{style:{width:"100%",height:50,display:"flex",alignItems:"center",justifyContent:"center"}},i__namespace.createElement("svg",{xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 32 32",fill:a,style:{height:"100%"}},i__namespace.createElement("path",{transform:"translate(2)",d:"M0 12 V20 H4 V12z"},i__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),i__namespace.createElement("path",{transform:"translate(8)",d:"M0 12 V20 H4 V12z"},i__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.2",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),i__namespace.createElement("path",{transform:"translate(14)",d:"M0 12 V20 H4 V12z"},i__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.4",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),i__namespace.createElement("path",{transform:"translate(20)",d:"M0 12 V20 H4 V12z"},i__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.6",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),i__namespace.createElement("path",{transform:"translate(26)",d:"M0 12 V20 H4 V12z"},i__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.8",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})))),s&&i__namespace.createElement("div",{style:{background:"#FFF3F1",wordWrap:"break-word",borderRadius:5,color:"#1F1E1D"}},c||"\u63A5\u53E3\u8BF7\u6C42\u5931\u8D25"))},H=h;var z=new reactQuery.QueryClient({defaultOptions:{queries:{staleTime:1/0}}}),R=function({children:t,position:e="bottom"}){return i__namespace.createElement(reactQuery.QueryClientProvider,{client:z},t,i__namespace.createElement(reactQueryDevtools.ReactQueryDevtools,{initialIsOpen:!1,position:e}))},C=R;var y={};v(y,{useObserverData:()=>k,useScroll:()=>I});var k=(t,e)=>{let a=reactQuery.useQueryClient();i__namespace.useEffect(()=>new reactQuery.QueryObserver(a,{queryKey:t,staleTime:6e5,initialData:()=>a.getQueryData(t)}).subscribe(n=>e(n.data)),[]);},I=(t,e)=>{i__namespace.useEffect(()=>(t.current.timer=setInterval(()=>{var a,o,n;if(e.current){let s=e.current.children[0],l=e.current.offsetHeight,c=s.offsetHeight;if(c-l>0){e.current.children.length<2&&e.current.appendChild(s.cloneNode(!0));let u=c*2-l,r=((a=t.current)==null?void 0:a.span)||0;if((o=t.current)!=null&&o.mouseEnter||(r+=1,t.current.span=r),r<=u&&!((n=t.current)!=null&&n.mouseEnter)){r>c&&(r=0,t.current.span=r);for(let p=0;p<e.current.children.length;p+=1){let f=e.current.children[p];f.style.transform=`translateY(-${r}px)`;}}}}},30),()=>clearInterval(t.current.timer)),[e,t]);};

exports.ReactQueryClientProvider = C;
exports.ReactQueryContainer = H;
exports.ReactQueryHooks = y;
